Package com.independentsoft.office.odf.styles

# Class Hatch

java.lang.Object
com.independentsoft.office.odf.styles.Hatch

public class Hatch extends Object
Represents hatch for filling graphic objects. A hatch is a simple pattern of straight lines that is repeated in the fill area.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Hatch()`
  Initializes a new instance of the Hatch class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Hatch`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `int`
  `getAngle()`
  Gets the rotation angle of hatch lines.
  `String`
  `getColor()`
  Gets the color of hatch lines.
  `String`
  `getDisplayName()`
  Gets the name of a hatch style.
  `Size`
  `getDistance()`
  Gets the distance between two hatch lines.
  `String`
  `getName()`
  Gets the name by which a hatch element can be referenced.
  `HatchStyle`
  `getStyle()`
  Gets the rendering for a hatch.
  `void`
  `setAngle​(int angle)`
  Sets the rotation angle of hatch lines.
  `void`
  `setColor​(String color)`
  Sets the color of hatch lines.
  `void`
  `setDisplayName​(String displayName)`
  Sets the name of a hatch style.
  `void`
  `setDistance​(Size distance)`
  Sets the distance between two hatch lines.
  `void`
  `setName​(String name)`
  Sets the name by which a hatch element can be referenced.
  `void`
  `setStyle​(HatchStyle style)`
  Sets the rendering for a hatch.
  `String`
  `toString()`
  Converts the value of the current Hatch object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Hatch

    public Hatch()
    Initializes a new instance of the Hatch class.

- ## Method Details

  - ### clone

    public Hatch clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current Hatch object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the name by which a hatch element can be referenced.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name by which a hatch element can be referenced.
    Parameters:
      `name` - the new name

  - ### getDisplayName

    public String getDisplayName()
    Gets the name of a hatch style.
    Returns:
      the display name

  - ### setDisplayName

    public void setDisplayName​(String displayName)
    Sets the name of a hatch style.
    Parameters:
      `displayName` - the new display name

  - ### getStyle

    public HatchStyle getStyle()
    Gets the rendering for a hatch.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(HatchStyle style)
    Sets the rendering for a hatch.
    Parameters:
      `style` - the new style

  - ### getColor

    public String getColor()
    Gets the color of hatch lines.
    Returns:
      the color

  - ### setColor

    public void setColor​(String color)
    Sets the color of hatch lines.
    Parameters:
      `color` - the new color

  - ### getDistance

    public Size getDistance()
    Gets the distance between two hatch lines.
    Returns:
      the distance

  - ### setDistance

    public void setDistance​(Size distance)
    Sets the distance between two hatch lines.
    Parameters:
      `distance` - the new distance

  - ### getAngle

    public int getAngle()
    Gets the rotation angle of hatch lines.
    Returns:
      the angle

  - ### setAngle

    public void setAngle​(int angle)
    Sets the rotation angle of hatch lines.
    Parameters:
      `angle` - the new angle